﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangePIN.aspx.cs" Inherits="PINsafeLogin.auth.swivel.ChangePIN" %>
<%@ Import Namespace="Microsoft.Exchange.Clients.Owa.Core" %>
<%@ Import namespace="Microsoft.Exchange.HttpProxy" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">
<html>
<head>
    <title>Swivel PIN Change Utility</title>
    <link rel="shortcut icon" href="<%=OwaUrl.AuthFolder.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.FavoriteIcon, false); %>" type="image/x-icon" />
    <link type="text/css" rel="stylesheet" href="<%=OwaUrl.AuthFolder.ImplicitUrl %><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.LogonCss, false); %>" />
    <link type="text/css" rel="stylesheet" href="./pinsafe.css"/>
    <script type="text/javascript" src="./pinsafe_cp.js"></script>
    <script type="text/javascript">
        function clkChange() {
            var otc1 = document.getElementById("txtNewOTC");
            var otc2 = document.getElementById("txtNewOTC2");
            if (otc1.value != otc2.value) {
                window.alert("New OTCs do not match");
                return false;
            }
            document.forms[0].submit();
            return true;
        }
    </script>
</head>
<body class="signInBg<%=IsRtl ? " rtl" : ""%>" style="background: #f2f2f2 url('<%=OwaUrl.AuthFolder.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.BackgroundGradientLogin, false);%>') repeat-x" onload="CheckClient();">
    <form id="changePinForm" runat="server" method="POST">
        <asp:HiddenField ID="txtRedirect" runat="server" />
        <asp:HiddenField ID="txtReason" runat="server" />
        <span style="display: none">
		    <input type="checkbox" name="showTuring" id="showTuring" />
		    <input type="checkbox" name="showMessage" id="showMessage" />
		    <input type="checkbox" name="autoShow" id="autoShow" />
		    <input type="checkbox" name="showPinpad" id="showPinpad" />
            <input type="checkbox" name="allowMultiUsernames" id="allowMultiUsernames" />
        </span>
        <div id="mainDiv" class="mouse">
            <div class="sidebar">
                <div class="owaLogoContainer">
                    <img src="<%=OwaUrl.AuthFolder.ImplicitUrl %><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.OutlookLogoWhite, false); %>" class="owaLogo" aria-hidden="true" />
                    <img src="<%=OwaUrl.AuthFolder.ImplicitUrl %><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.OutlookLogoWhiteSmall, false); %>" class="owaLogoSmall" aria-hidden="true" />
                </div>
            </div>
            <div class="logonContainer">
	            <div id="lgnDiv" class="logonDiv">
                    <div class="signInImageHeader" role="heading" aria-label="Change PIN">
                        <img class="mouseHeader" src="<%=OwaUrl.AuthFolder.ImplicitUrl %><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.OwaHeaderTextBlue, false); %>" alt="Change PIN" />
                    </div>
                    <div class="swivelSubHeader">
                        <span class="swivelSubHeader">Swivel Change PIN Utility</span>
                    </div>
                    <div class="signInInputLabel" id="lblUsername" aria-hidden="true">Username:</div>
	                <div><input ID="txtUsername" name="username" class="signInInputText" role="textbox" aria-labelledby="lblUsername" onblur="CheckUser()" value="<%=Username %>"/></div>
                    <div class="signInInputLabel"><span id="lblOldOTC" onclick="SetPinpadField(1)">Old OTC:</span></div>
                    <div><input id="txtOldOTC" name="oldOTC" type="password" class="signInInputText" aria-labelledby="lblOldOTC" onfocus="SetPinpadField(1, false)" value=""/></div>
                    <div class="signInInputLabel"><span id="lblNewOTC" onclick="SetPinpadField(2)">New OTC:</span></div>
                    <div><input id="txtNewOTC" name="newOTC" type="password" class="signInInputText" aria-labelledby="lblNewOTC" onfocus="SetPinpadField(2, false)" value=""/></div>
                    <div class="signInInputLabel"><span id="lblNewOTC2" onclick="SetPinpadField(3)">Confirm OTC:</span></div>
                    <div><input id="txtNewOTC2" name="newOTC2" type="password" class="signInInputText" aria-labelledby="lblNewOTC2" onfocus="SetPinpadField(3, false)" value=""/></div>
                    <div class="swivelImage" id="divTuring" style="display: none">
                        <div class="turingImage" id="divTuringImage"><img id="TuringImage" alt="" src="./turingBlank.jpg" /></div>
                        <div id="TuringButton"><input type="button" onclick="ShowTuring();" value="Refresh Image" class="btnSwivel" /></div>
                        <div id="MessageButton" style="display:none"><input type="button" onclick="ShowMessage();" value="Send Message" class="btnSwivel" /></div>
                    </div>
                    <div class="swivelPinpad" id="divPinpad" style="display:none">
			            <input type="text" id="PinpadField" style="display:none" value="txtOldOTC"/>
			            <table>
			                <tr>
			                    <td><img id="imgPinpad1" onclick=" AddDigit('1')" src="./pinpadBlank.png" /></td>
			                    <td><img id="imgPinpad2" onclick=" AddDigit('2')" src="./pinpadBlank.png" /></td>
			                    <td><img id="imgPinpad3" onclick=" AddDigit('3')" src="./pinpadBlank.png" /></td>
			                    <td><img onclick="ShowPinpad()" src="./pinpadRefresh.png"/></td>
			                </tr>
			                <tr>
			                    <td><img id="imgPinpad4" onclick=" AddDigit('4')" src="./pinpadBlank.png" /></td>
			                    <td><img id="imgPinpad5" onclick=" AddDigit('5')" src="./pinpadBlank.png" /></td>
			                    <td><img id="imgPinpad6" onclick=" AddDigit('6')" src="./pinpadBlank.png" /></td>
			                    <td><img onclick="PrevPinpad()" src="./pinpadPrev.png"/></td>
			                </tr>
			                <tr>
			                    <td><img id="imgPinpad7" onclick=" AddDigit('7')" src="./pinpadBlank.png" /></td>
			                    <td><img id="imgPinpad8" onclick=" AddDigit('8')" src="./pinpadBlank.png" /></td>
			                    <td><img id="imgPinpad9" onclick=" AddDigit('9')" src="./pinpadBlank.png" /></td>
			                    <td><img onclick="NextPinpad()" src="./pinpadNext.png"/></td>
			                </tr>
			                <tr>
			                    <td><img src="./pinpadBlank.png" /></td>
			                    <td><img id="imgPinpad0" onclick=" AddDigit('0')" src="./pinpadBlank.png" /></td>
			                    <td><img src="./pinpadBlank.png" /></td>
			                    <td><img onclick="ClearOtc()" src="./pinpadClear.png"/></td>
			                </tr>
			            </table>
	                </div>
			        <div class="signInError" id="lblResult" role="alert"><%=Result %></div>
		            <div class="signInEnter"><div onclick="clkChange()" style="cursor:pointer;display:inline" role="button"><img class="imgLnk" src="<%=OwaUrl.AuthFolder.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.SignInArrow, false);%>" alt=""><span class="signinTxt" tabIndex="0">Change PIN</span></div>
				            <input name="isUtf8" value="1" type="hidden"/>
		            </div>
                    <div class="hidden-submit"><input type="submit" /></div> 
                </div>
            </div>
        </div>
    </form>
</body>
</html>
